---
title: "Get an ERP supplier by ID"
description: "Returns a single ERP supplier by its primary key (`id`), scoped to the company in the `companyId` header. The response includes the related company object."
source: https://developers.qashio.com/v1/reference/get-erp-suppliers-by-id/
---

# Get an ERP supplier by ID

`GET /erp-suppliers/{id}`

Requires a Bearer access token.

Returns a single ERP supplier by its primary key (`id`), scoped to the company in the `companyId` header. The response includes the related company object.

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes |  |

### Example request

```bash
curl -X GET 'https://erp.qashio.com/erp-suppliers/' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer <access_token>'
```

### Example response (200)

```json
{
  "id": "fdce2210-0ab9-4e59-bf3e-46a9e87f755b",
  "remoteId": "remote-001",
  "remoteName": "Cash Account",
  "status": "active",
  "isDeleted": false,
  "createdAt": "2024-02-05T12:00:00Z",
  "updatedAt": "2024-02-05T12:30:00Z",
  "erpCompany": {
    "id": "a01bce14-a29a-4104-a350-1d48ec371729",
    "name": "Company 46",
    "businessLegalName": "Business Legal Name 46",
    "companyCountry": "US",
    "parentCompanyId": null,
    "status": "active",
    "isDeleted": false,
    "createdAt": "2025-02-10T11:52:53.007Z",
    "updatedAt": "2025-02-10T11:52:53.007Z"
  }
}
```

### Errors

- `400` Bad Request
